JSON for Modern C++ 3.7.3

accept
accept
accept
allocator_type
array
array_t
at
at
at
at
at
at
back
back
basic_json
basic_json
basic_json
basic_json
basic_json
basic_json
basic_json
basic_json
basic_json
basic_json
begin
begin
binary
binary
binary
binary
binary_t
boolean_t
cbegin
cend
clear
const_iterator
const_pointer
const_reference
const_reverse_iterator
contains
contains
count
crbegin
crend
detail::external_constructor
diff
difference_type
dump
emplace
emplace_back
empty
end
end
erase
erase
erase
erase
error_handler_t
exception
find
find
flatten
from_bson
from_bson
from_bson
from_cbor
from_cbor
from_cbor
from_msgpack
from_msgpack
from_msgpack
from_ubjson
from_ubjson
from_ubjson
front
front
get
get
get
get
get
get
get_allocator
get_binary
get_binary
get_ptr
get_ptr
get_ref
get_ref
get_to
get_to
initializer_list_t
input_format_t
insert
insert
insert
insert
insert
insert
insert_iterator
invalid_iterator
is_array
is_binary
is_boolean
is_discarded
is_null
is_number
is_number_float
is_number_integer
is_number_unsigned
is_object
is_primitive
is_string
is_structured
items
items
iterator
iterator_wrapper
iterator_wrapper
json_pointer
json_sax_t
json_serializer
max_size
merge_patch
meta
number_float_t
number_integer_t
number_unsigned_t
object
object_comparator_t
object_t
operator value_t
operator ValueType
operator!=
operator!=
operator!=
operator+=
operator+=
operator+=
operator+=
operator<
operator<
operator<
operator<<
operator<<
operator<=
operator<=
operator<=
operator=
operator==
operator==
operator==
operator>
operator>
operator>
operator>=
operator>=
operator>=
operator>>
operator>>
operator[]
operator[]
operator[]
operator[]
operator[]
operator[]
operator[]
operator[]
other_error
out_of_range
parse
parse
parse
parse_error
parse_event_t
parser_callback_t
patch
pointer
push_back
push_back
push_back
push_back
rbegin
rbegin
reference
rend
rend
reverse_iterator
sax_parse
sax_parse
sax_parse
size
size_type
string_t
swap
swap
swap
swap
swap
swap
to_bson
to_bson
to_bson
to_cbor
to_cbor
to_cbor
to_msgpack
to_msgpack
to_msgpack
to_ubjson
to_ubjson
to_ubjson
type
type_error
type_name
unflatten
update
update
value
value
value
value
value_t
value_type
~basic_json
| ## ◆ update() [2/2]
void nlohmann::basic_json::update | ( | const_reference | j | ) |
| inline
  Inserts all values from JSON object j and overwrites existing keys. Parameters
  [in] | j | JSON object to read values from
  Exceptions
  type_error.312 | if called on JSON values other than objects; example: `"cannot use update() with string"`
  Complexity O(N*log(size() + N)), where N is the number of elements to insert. Example The example shows how `update()` is used. 1 #include <iostream> 2 #include <iomanip> 3 #include <nlohmann/json.hpp> 4 5 using json = nlohmann::json; 6 7 int main() 8 { 9 // create two JSON objects 10 json o1 = R"( {"color": "red", "price": 17.99} )"_json; 11 json o2 = R"( {"color": "blue", "speed": 100} )"_json; 12 13 // add all keys from o2 to o1 (updating "color") 14 o1.update(o2); 15 16 // output updated object o1 17 std::cout << std::setw(2) << o1 << '\n'; 18 } Output (play with this example online):
      {
        "color": "blue",
        "price": 17.99,
        "speed": 100
      }
  The example code above can be translated with
      g++ -std=c++11 -Isingle_include doc/examples/update.cpp -o update
See also https://docs.python.org/3.6/library/stdtypes.html#dict.update Since version 3.0.0 Definition at line 21552 of file json.hpp.

nlohmann::json
basic_json<> json
default JSON class
Definition: json.hpp:2774